{% extends 'base5.html' %}
{% load static %}

{% block title %}
My Notes List
{% endblock %}

{% block css %}
<link rel="stylesheet" type="text/css" href="{% static 'css/lab5_index.css' %}">
<link rel="stylesheet" href="{% static 'css/lab5_note_list.css' %}">
<script src="{% static 'js/index.js' %}"></script>
{% endblock %}

{% block content %}

<section>
    <div class="modal-main hidden" id="modal-main">
      <div class="card" id="cards">
        <h2>Note</h2>
        <div class="row">
            <p><span>To : </span>ok </p>
        </div>
        <div class="row">
            <p><span>From : </span> ok </p>
        </div>
        <div class="row">
            <p><span>Title : </span> ok </p>
        </div>
        <div class="row">
            <p><span>Message : </span></p>
            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Totam ducimus fugiat praesentium aut rem autem eius dolor sint? Autem beatae earum quis voluptas ab, et error aliquam exercitationem porro! Ut!</p>
        </div>
      </div>
    </div>
    <h1 id='title'>MY NOTES LIST</h1>
    <table>
        <thead>
            <tr>
                <th>To</th>
                <th>From</th>
                <th>Title</th>
                <th>Message</th>
                <th>Action</th>
            </tr>
        </thead>
        <tbody>
            {% if note %} 
                {% for a in note %}
                <tr>
                    <td id='to'>{{ a.To }}</td>
                    <td id='from'>{{ a.From }}</td>
                    <td id = 'title'>{{ a.Title }}</td>
                    <td id='message'>{{ a.Message }}</td>
                    <td id='action'>
                        <button class="btn btn-primary" id='btn-view'>View</button>
                        <button class="btn btn-secondary" id='btn-edit'>Edit</button>
                        <button class="btn btn-danger" id='btn-delete'>Delete</button>
                    </td>
                </tr>
                {% endfor %}
            {% endif %}
        </tbody>
    </table>
</section>

{% endblock %}
